# Class LOCChartMaker

java.lang.Object
net.sf.statcvs.charts.LOCChartMaker

Direct Known Subclasses:
  `LOCChartMaker.AllDevelopersLOCChartMaker, LOCChartMaker.AllDirectoriesLOCChartMaker, LOCChartMaker.AllModulesLOCChartMaker, LOCChartMaker.DirectoryLOCChartMaker, LOCChartMaker.MainLOCChartMaker`

public class LOCChartMaker extends Object
Produces Lines Of Code charts TODO: At least the single-series charts should be done by TimeLineChartMakers

Version:
  $Id: LOCChartMaker.java,v 1.19 2009/08/31 19:16:35 benoitx Exp $
Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`LOCChartMaker.AllDevelopersLOCChartMaker`
`static class`
`LOCChartMaker.AllDirectoriesLOCChartMaker`
`static class`
`LOCChartMaker.AllModulesLOCChartMaker`
`static class`
`LOCChartMaker.DirectoryLOCChartMaker`
`static class`
`LOCChartMaker.MainLOCChartMaker`

## Constructor Summary

Constructors
Constructor
Description
`LOCChartMaker(String chartName, ReportConfig config, List locSeriesList, String title, String fileName, Dimension size, List annotations)`
Creates a Lines Of Code chart from a list of `BasicTimesSeries` and saves it as PNG
`LOCChartMaker(String chartName, ReportConfig config, org.jfree.data.time.TimeSeries locSeries, String title, String fileName, Dimension size, List annotations)`
Creates a Lines Of Code chart from a `BasicTimeSeries` and saves it as PNG

## Method Summary

Modifier and Type
Method
Description
`ChartImage`
`toFile()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LOCChartMaker

public LOCChartMaker(String chartName, ReportConfig config, org.jfree.data.time.TimeSeries locSeries, String title, String fileName, Dimension size, List annotations)
Creates a Lines Of Code chart from a `BasicTimeSeries` and saves it as PNG

Parameters:
  `locSeries` - the LOC history
  `title` - the chart title
  `fileName` - the filename where the chart will be saved
  `size` - width and height of PNG in pixels
  `annotations` -

### LOCChartMaker

public LOCChartMaker(String chartName, ReportConfig config, List locSeriesList, String title, String fileName, Dimension size, List annotations)
Creates a Lines Of Code chart from a list of `BasicTimesSeries` and saves it as PNG

Parameters:
  `locSeriesList` - a list of `BasicTimesSeries`
  `title` - the chart title
  `fileName` - the filename where the chart will be saved
  `size` - width and height of PNG in pixels

## Method Details

### toFile

public ChartImage toFile()